#
# Cookbook:: guided-install
# Recipe:: default
#
# Copyright:: 2022, The Authors, All Rights Reserved.

#execute "Run-Guided-Install" do
#  command "curl -Ls https://download.newrelic.com/install/newrelic-cli/scripts/install.sh | bash && sudo NEW_RELIC_API_KEY=NRAK-C4KPJ2SD87AMW5OHHCU6U839RGN NEW_RELIC_ACCOUNT_ID=11324234 NEW_RELIC_REGION=STAGING /usr/local/bin/newrelic install -y"
#      action :run
#end

# curl -Ls https://download.newrelic.com/install/newrelic-cli/scripts/install.sh | bash && sudo NEW_RELIC_API_KEY=NRAK-C4KPJ2SD87AMW5OHHCU6U839RGN NEW_RELIC_ACCOUNT_ID=11324234 NEW_RELIC_REGION=STAGING /usr/local/bin/newrelic install -y
#command = <<-CMD
#      curl -Ls https://download.newrelic.com/install/newrelic-cli/scripts/install.sh && sudo /usr/local/bin/newrelic install -y
#    CMD
require 'pty'


ruby_block 'guided install' do
  block do
    ENV['NEW_RELIC_API_KEY'] = "NRAK-C4KPJ2SD87AMW5OHHCU6U839RGN"
    ENV['NEW_RELIC_REGION'] = "STAGING"
    ENV['New_RELIC_ACCOUNT_ID'] = '11324234'
    command = <<-CMD
      curl -Ls https://download.newrelic.com/install/newrelic-cli/scripts/install.sh | bash && sudo NEW_RELIC_API_KEY=NRAK-C4KPJ2SD87AMW5OHHCU6U839RGN NEW_RELIC_ACCOUNT_ID=11324234 NEW_RELIC_REGION=STAGING /usr/local/bin/newrelic install -y
    CMD

    PTY.spawn(command) do |stdout, _, _|
      begin
        loop { puts stdout.gets.gsub(/\r\n/, '').gsub(/\t/, '  ') }
      rescue Errno::EIO
      end
    end
  end
  action :run
end
